SocialEngine Blog

SocialEngine is the best way to create a unique community website. Let your friends, fans or customers geek out about anything you want.

Version 4.1.6p2 Release

Version 4.1.6p2 is now available for download from the client area. This version includes fixes for a few issues that came up after the initial 4.1.6 release, including: Potential fatal errors in Facebook API when missing the JSON PHP extension, upgrade errors in the storage system, and missing language on the admin twitter integration page. Thank you for your patience while we worked to resolve these issues.

Please contact us if you have any questions.

74 Comments

  1. Kim
    Posted June 29, 2011 at 3:13 am | Permalink

    I am still getting this error on the upgrade 4.1.6p2:

    "Members (4.1.6p2)
    Error: Table '<database_user>.engine4_user_logins' doesn't exist"

    I was originally upgrading from 4.1.2. I am getting this error in both the 4.1.6p1 and 4.1.6p2 upgrades.

  2. Posted June 29, 2011 at 4:37 am | Permalink

    That One Works better.
    Thanks
    Joao Nunes

  3. Hu
    Posted June 29, 2011 at 2:30 pm | Permalink

    Thanks for the work!

    Indeed it is great to have CDN storage, and it is nice to improve the facebook and twitter integration, but it is really important to improve the performance and speed of SE4, any fancy feature would be meaningless if the system is still slow, the users just go away from your site before they see and use these features. I really hope the team would wok on improving the performance of SE4 after this build.

    Thanks a lot!

  4. Andre
    Posted June 29, 2011 at 4:52 pm | Permalink

    My Twitter still not working. My log error

    2011-06-29T16:51:13+00:00 CRIT (2):
    Error Code: d93ac4
    HTTP_OAuth_Consumer_Exception_InvalidResponse: Failed getting token and token secret from response in /mnt/nfs/swingkut.com/public_html/application/modules/User/controllers/AuthController.php on line 801
    Exception trace
    # Function Location
    0 HTTP_OAuth_Consumer->getRequestToken('http://twitter.c…&#039;, 'http://www.swing…&#039😉 /mnt/nfs/swingkut.com/public_html/application/modules/User/controllers/AuthController.php:801
    1 User_AuthController->twitterAction() /mnt/nfs/swingkut.com/public_html/application/libraries/Zend/Controller/Action.php:513
    2 Zend_Controller_Action->dispatch('twitterAction') /mnt/nfs/swingkut.com/public_html/application/libraries/Zend/Controller/Dispatcher/Standard.php:289
    3 Zend_Controller_Dispatcher_Standard->dispatch(Object(Zend_Controller_Request_Http), Object(Zend_Controller_Response_Http)) /mnt/nfs/swingkut.com/public_html/application/libraries/Zend/Controller/Front.php:946
    4 Zend_Controller_Front->dispatch() /mnt/nfs/swingkut.com/public_html/application/modules/Core/Bootstrap.php:75
    5 Core_Bootstrap->run() /mnt/nfs/swingkut.com/public_html/application/libraries/Engine/Application.php:99
    6 Engine_Application->run() /mnt/nfs/swingkut.com/public_html/application/index.php:183
    7 include('/mnt/nfs/swingku…') /mnt/nfs/swingkut.com/public_html/index.php:26
    8 {main}

  5. Ferry
    Posted June 29, 2011 at 9:34 pm | Permalink

    it says .htaccess is not writable. while chmod is set to 777 on that file.

  6. Global
    Posted June 29, 2011 at 10:23 pm | Permalink

    getting an error on this new version as below:

    Query failed with error: Mysqli statement execute error : Duplicate entry '1018286079' for key 'start'

    Can you please provide some direction or a patch?

    cheers

    Frank

  7. Mara
    Posted June 29, 2011 at 11:30 pm | Permalink

    @Kim application/modules/user/settings/my-upgrade-4.1.3-4.1.4.sql was not run. Try running this manually.

  8. Mara
    Posted June 29, 2011 at 11:37 pm | Permalink

    @Andre try setting your callback URL to http://www.swingcur.com/user/auth/twitter (or whatever the path/domain of your website is)

  9. Mara
    Posted June 30, 2011 at 12:23 am | Permalink

    @Frank That error means the same IP address is there twice. You'll need to delete the duplicate.
    @Ferry It shouldn't be updating that file. Please log in to submit a support ticket if you need like technical assistance. Thanks very much.

  10. Kim
    Posted June 30, 2011 at 2:10 am | Permalink

    Works great now! Thanks!

  11. Global
    Posted June 30, 2011 at 4:34 am | Permalink

    hey Mara-what table? or where is the 'there' you are referring to?

    cheers

    Frank

  12. Philani
    Posted June 30, 2011 at 4:51 am | Permalink

    Hi I upgraded to 4.1.6 loads of items were not working, I upgraded to 4.1.6p1 my chat and twitter stopped working now i cannot access package manager to upgrade to 4.1.6p2 how do i go about that? Please give an idea
    Phil

  13. Ian
    Posted June 30, 2011 at 12:02 pm | Permalink

    The thousands of members on our SE site are still eager to have an easy to use "unread posts" feature in the forum.

    They don't want to click through 10 different forum categories to find everything they haven't read yet.

    When we were on SE3 using a 3rd party forum that is no longer supported by the developer, we had a TON of interaction in the forum. Now that we've moved to SE4 and your forum software, our forum activity is almost non-existant!

    Please help us make the forum engaging to our members by adding this functionality!

  14. Philani
    Posted June 30, 2011 at 1:07 pm | Permalink

    Hi
    could you please advice how to fix this error, i cannot upgrade my video plugin. Query failed with error: Mysqli statement execute error : Table 'philani_cbl.engine4_video_videos' doesn't exist

  15. Posted June 30, 2011 at 3:50 pm | Permalink

    Hey There,

    when I use the admin section to try to add the new update it gets to 100% but then stops. I know I can put the .tar file into a directory with Filezilla and then when I view the packages section the .tar is already there. The question.
    Where do I FTP the file to so I see it in the Admin area in order to install?

    Thanks for your time as I turly respect and appreciate the value.

    Tap w/u Soon,
    Anthony

  16. Posted June 30, 2011 at 9:05 pm | Permalink

    Hey Guys!

    I managed to upgrade with 4.1.6p2 and it resolved a few issues, but I still get the following issue in my manage Plugins area.

    Storage 4.1.6p1
    by Webligo Developments Warning: Your database structure for this package is out of date. The version you currently have is 4.1.4. Please complete the installation of this package to resolve this problem.

    I click upgrade and I still get this error as well

    Query failed with error: Mysqli statement execute error : Duplicate column name 'enabled'

    Any thoughts about what I need to do?

    Thank you as always :)

    Greg

  17. Mara
    Posted June 30, 2011 at 10:50 pm | Permalink

    @Frank You'll need to go into the banning & spam page in the admin panel and delete any IPs that might be there twice. The table is engine4_core_bannedips if you need to do it from the database.

  18. Halal
    Posted July 1, 2011 at 12:34 am | Permalink

    Updated to this release. Everyone worked fine. Then, later I went to the Spam & Banning Tools -> Login History and cleared the recent logins. From there all the activities on the main feed and on the members profile disappeared. Both feeds are blank. If I post anything, it does not show up on both feeds. Disabled all the plugins but nothing changed. Re-installed but nothing changed. All this happened after clearing all the recent login in Login History. What is the relationship between clearing the login history and the activities on the feed? How to bring back the activities?

  19. Mara
    Posted July 1, 2011 at 12:59 am | Permalink

    @Halal I'm not sure why the feed would be blank, but it's unlikely that it's related to the login history. Please log in to submit a ticket for this issue so our support team can take a closer look. Thanks very much.

  20. Mara
    Posted July 1, 2011 at 1:05 am | Permalink

    @Anthony Upload to /temporary/package/archives/

  21. Halal
    Posted July 1, 2011 at 1:10 am | Permalink

    @ Mara unfortunately my support expired ages ago so won't be able to submit a ticket. Clearing the login history, is the only thing I did before the feed went blank, so I don't know why is no related.

  22. Bob
    Posted July 1, 2011 at 2:30 am | Permalink

    How come after install either 4.1.6, 4.1.6p1 or 4.1.6p2 I get thise error now when I try to edit members home page in layout editor? This was working fine before?

    Add plz dont tell me to open a support ticket cuz im not paying $50 for something that was working just fine before.

    exception 'Exception' with message 'page failed validation check' in /home/~/public_html/application/modules/Core/controllers/AdminContentController.php:98
    Stack trace:
    #0 /home/~/public_html/application/libraries/Zend/Controller/Action.php(513): Core_AdminContentController->indexAction()
    #1 /home/~/public_html/application/libraries/Zend/Controller/Dispatcher/Standard.php(289): Zend_Controller_Action->dispatch('indexAction')
    #2 /home/~/public_html/application/libraries/Zend/Controller/Front.php(946): Zend_Controller_Dispatcher_Standard->dispatch(Object(Zend_Controller_Request_Http), Object(Zend_Controller_Response_Http))
    #3 /home/~/public_html/application/modules/Core/Bootstrap.php(75): Zend_Controller_Front->dispatch()
    #4 /home/~/public_html/application/libraries/Engine/Application.php(99): Core_Bootstrap->run()
    #5 /home/~/public_html/application/index.php(183): Engine_Application->run()
    #6 /home/~/public_html/index.php(25): include('/home/itruther/…')
    #7 {main}

  23. Kingsley
    Posted July 1, 2011 at 8:23 am | Permalink

    Nothing shows on the newsfeed after the upgrade to 4.1.6 and this update won't help. Some plugins won't show e.g. going to Forums says:

    We are currently experiencing some technical issues. Please try again or report this to your site administrator using the contact form.

    Administrator: Please check the error log in your admin panel for more information regarding this error.

    Error Code: 4c2ed9

    Any ideas?

  24. Posted July 1, 2011 at 8:48 am | Permalink

    hi my frindes

    thanks for the nice work

    but after i have update i have propleam in my events

    http://answer-win.com/events/manage

    We're sorry! We are currently experiencing some technical issues. Please try again later. Error code: e3a538

  25. natalie
    Posted July 1, 2011 at 5:57 pm | Permalink

    hi i have just noticed that in ie8 the Add Friend link opens the standard box, "Would you like to add this member as a friend?" and qhwn you click add friends it downloads a file with a load of code in it .. for example this is a part of it. opened in notepad …<script type="text/javascript">
    //<![CDATA[

    Date.setServerOffset('Fri, 1 Jul 2011 17:45:05 +0000');

    en4.orientation = 'ltr';
    en4.core.environment = 'production';
    en4.core.language.setLocale('en_GB');
    en4.core.setBaseUrl('/index.php/');
    en4.core.loader = new Element('img', {src: 'application/modules/Core/externals/images/loading.gif'});

    en4.core.subject = {
    type : 'user',
    id : 5,
    guid : 'user_5'
    };
    en4.user.viewer = {
    type : 'user',
    id : 4,
    guid : 'user_4'
    };
    if( false ) {
    en4.core.dloader.attach();
    }
    //]]>
    </script>
    <script type="text/javascript"></script>
    <script type="text/javascript" src="application/modules/Activity/externals/scripts/core.js?c=135"></script>

    <!– vertical scrollbar fix –>
    <style type="text/css">
    html, body
    {
    overflow-y: auto;
    margin: 0px;
    }
    </style>

    </head>
    <body id="global_page_core-utility-success">
    <span id="global_content_simple">

    <div>
    <script type="text/javascript">
    setTimeout(function()
    {
    parent.window.location.reload( false );
    }, 1000);
    </script>

    <script type="text/javascript">
    setTimeout(function()
    {
    parent.Smoothbox.close();
    }, 1000);
    </script>

    <div class="global_form_popup_message">
    You are already friends with this member. </div>
    </div> </span>
    </body>
    </html>

    the request does work but the page doesnt refresh so it looks like it hasnt also… btw works fine on firefox ..is this a bug with 4.1.6p2 and does anyone know how to fix this>? thx btw :)

  26. Saad
    Posted July 1, 2011 at 6:16 pm | Permalink

    i upgraded from 4.1.5 to 4.1.6 everything works fine then i saw version 4.1.6p2 i upgraded everything works fine but when i try to install
    module-core.tar it redirects me to the page not found why is that any help? i tried severals times but still the same error?

    Please note that i m upgrading since 4.1.2 and this happend first time with me any help please?

  27. Mara
    Posted July 1, 2011 at 10:26 pm | Permalink

    @Bob Run the following query after backing up your engine4_core_content table:
    DELETE FROM engine4_core_content WHERE `type` = 'widget' && (parent_content_id = 0 || parent_content_id IS NULL)

  28. Mara
    Posted July 1, 2011 at 10:49 pm | Permalink

    @Kingsley / Sultan Please submit a ticket so our support team can take a look at these issues. Thanks very much.

  29. Halal
    Posted July 1, 2011 at 11:02 pm | Permalink

    Webligo can you explain what Version 4.1.6p3 is for? Can you also explain why the feed activity does not show up in the members home and profile pages after upgrading to version 4.1.6. I thought it was only me experiencing the problem, but it looks others are having the problem as well. Can you also clarify on the "Uncategorised" available blocks in the layout editor? After upgrading to version 4.1.6p2, there are about 22 unnamed blocks under the heading "Uncategorised". Upgraded to version 4.1.6p3, but no change.

  30. Mara
    Posted July 1, 2011 at 11:27 pm | Permalink

    @Natalie Please log in to submit a support ticket so our technicians can take a look at the issue.

  31. Mara
    Posted July 2, 2011 at 12:13 am | Permalink

    @Saad Please log in to submit a ticket so we can take a look. Thanks very much.
    @Halal The storage issue and twitter connection issue were both fixed in p3. Please contact us at http://www.socialengine.net/contact or submit a ticket for support.

  32. Halal
    Posted July 2, 2011 at 2:01 am | Permalink

    @ Mara clearly what you're suggesting is since there are updates every month, then we will have to pay you $50 in every month for you to fix the new bugs you always create in every monthly release. No one will post here if they can submit a ticket.

    I am pretty sure you know that most us the support tickets expired ages ago, but you keep insisting to submit a ticket. It is just like saying that pay us $50 every month so we can fix the new bugs we create whenever we release an update. So, we should pay you for fixing new bug created by yourself?

  33. Posted July 2, 2011 at 4:06 am | Permalink

    Hello Greg B,. (thestudiobar.com) . I hope all is well; the problem 4.1.4. that you are experiencing is the current PHP installed on your server which is version 4.1.4. To resolve this problem you may need to contact your host or your server to install or enable PHP 5.12 or above. This new version requires this version of PHP to work or make any back up files of your database. if you know how you can do yourself on your server or technical support can help you depending on your host. I hope that is helpful and also others that may read this post with similar problem.

  34. Global
    Posted July 2, 2011 at 6:03 pm | Permalink

    Happy 4th Webligo and Mara! Have a fun and safe holiday!

    Regarding the sp3, more trouble I am afraid. I get this error when I try to install:

    "Extract error: Unable to create output folder".

    Sorry :(

    cheers

    Frank

  35. rony
    Posted July 2, 2011 at 8:08 pm | Permalink

    i upgraded to 4.1.6p2
    i went to "spam & banning tools" and delete all the ip, and saved of course.
    when i go back to the same page the same old ip's still show up.
    i even tried to post 1 ip only & save. went out, going back to the same page "Spam & banning page" i still see the old ip's list.

  36. Ward
    Posted July 3, 2011 at 5:21 am | Permalink

    Can you guys please overwrite your Facebook API library with SE 4.5 so it works and please stop releasing *unstable* 4.6.1,2,3,4,5, upgrades prior to releasing them to your clients. Thank you.

  37. Posted July 3, 2011 at 12:15 pm | Permalink

    Thanks SE. My site is working fine now…

  38. Nathan
    Posted July 3, 2011 at 4:05 pm | Permalink

    I'm having the same problem as Bob N.

    Even after installing 4.1.6p3, I still get following errors when I try to access member home page in layout editor:

    exception 'Exception' with message 'page failed validation check' in /home/ehealth/public_html/application/modules/Core/controllers/AdminContentController.php:98
    Stack trace:
    #0 /home/ehealth/public_html/application/libraries/Zend/Controller/Action.php(513): Core_AdminContentController->indexAction()
    #1 /home/ehealth/public_html/application/libraries/Zend/Controller/Dispatcher/Standard.php(289): Zend_Controller_Action->dispatch('indexAction')
    #2 /home/ehealth/public_html/application/libraries/Zend/Controller/Front.php(946): Zend_Controller_Dispatcher_Standard->dispatch(Object(Zend_Controller_Request_Http), Object(Zend_Controller_Response_Http))
    #3 /home/ehealth/public_html/application/modules/Core/Bootstrap.php(75): Zend_Controller_Front->dispatch()
    #4 /home/ehealth/public_html/application/libraries/Engine/Application.php(99): Core_Bootstrap->run()
    #5 /home/ehealth/public_html/application/index.php(183): Engine_Application->run()
    #6 /home/ehealth/public_html/index.php(24): include('/home/ehealth/p…')
    #7 {main}

    Please help, anyone!

  39. Carlos
    Posted July 3, 2011 at 4:49 pm | Permalink

    Is there a .tar file to install this update? There are no directions only a change log.

  40. Carlo
    Posted July 4, 2011 at 3:49 am | Permalink

    Anyone upgrading from 4.1.5 directly to 4.1.6p3 I'd love to hear from you. If you had any problems and what they were?

  41. Wes
    Posted July 5, 2011 at 5:13 am | Permalink

    Ok Weblingo – everything seemed to be working ok prior to 4.16. Now, I am getting errors all over the place! Especially with the activity feed. And I am tired of paying $50 a month for someone in your support group to tell me they can't fix my errors due to some 3rd party plugin. EVERYONE that has SE has 3rd party plugins. And with so many revs of 4.16 I am starting to think there are more problems with this release than what you are letting out. Can you PLEASE publish release notes for 4.16 – 4.16p3 so we can see what all the problems are?

  42. Saad
    Posted July 5, 2011 at 6:16 pm | Permalink

    Dear Mara,

    I created a ticket and Shaun reply me without understanding my problem and support ticket i cannot reply anymore.

    here i try to find this problem step by step

    1. goto Package Manager
    2. Click Add Packages
    3. select module-core-4.1.6p3.tar file
    4. once module-core4.1.6p3.tar file uploaded successfully then click Continue
    5. you will see the error
    Page Not found

    Please help we are unable to install this module-core file
    we are upgrading since 4.1.2 but never face this problem before this is happening first time with us.

    Saad

  43. Saad
    Posted July 5, 2011 at 7:54 pm | Permalink

    Dear Mara,

    Core module 4.1.6 Copied as we are unable to upgrade core module
    having every day like this problem "There are 13 new members awaiting your approval."

  44. Global
    Posted July 6, 2011 at 5:18 am | Permalink

    Hey Mara-happy 4th btw!

    Is anyone reporting that the sp3 upgrade is showing false statusvon the global variables status install requirement? I just tried to do the sp3 patch, and the manager is saying that globals are in a state which the php ini file says otherwise…

    cheers

  45. Melanie
    Posted July 6, 2011 at 6:31 pm | Permalink

    Do we have to do p1 and then p2 ? or we can just do p2 right away?

  46. Global
    Posted July 6, 2011 at 6:35 pm | Permalink

    hey Mara, just by way of follow up, I got the sp3 upgrade done, but I had to do it in parts. Not sure if others in the community had this issue or not, but should they, as a temporary solution, tell them to just go down the list, installing one item at a time.

    After I did that the system couldn't find the admin panel saying there was no such url. I logged out, and back in, and everything seems ok.

    No follow up required. Just wanted to let the team know.

    cheers

    Frank

  47. Bob
    Posted July 6, 2011 at 11:54 pm | Permalink

    @Namhoon L. …Try what they suggested I do. Because after applying their fix the members layout started working for me again…Here is what they told me

    Run the following query after backing up your engine4_core_content table:
    DELETE FROM engine4_core_content WHERE `type` = 'widget' && (parent_content_id = 0 || parent_content_id IS NULL)

  48. Mara
    Posted July 7, 2011 at 1:25 am | Permalink

    @Frank Try running chmod 0777 recursively on the temporary folder. [Edit} Looks like you got it installed successfully – Thanks, I have passed your comments along to the guys!
    @Rony Upgrading to 4.1.6p3 should fix the upgrade SQL error.
    @Namhoon Try this (after making a backup of the engine4_core_content table): DELETE * FROM engine4_core_content WHERE `type = 'widget' && (parent_content_id IS NULL OR parent_content_id =0)

  49. Mara
    Posted July 7, 2011 at 1:32 am | Permalink

    @VBIZ The library-engine package and core-install packages need to be upgraded first before you will be able to upgrade the core module. If you upload these package first and upgrade them, you should then be able to upgrade the rest of the packages.

  50. Mara
    Posted July 7, 2011 at 1:33 am | Permalink

    @Melanie We recommend upgrading to 4.1.6p3. This version is available to download from the client login area.

  51. Mara
    Posted July 7, 2011 at 1:35 am | Permalink

    @Wes There is a changelog included with the 4.1.6p3 release, but if you'd like us to send it to you, please contact us at http://www.socialengine.net/contact Thanks very much.

  52. Milton
    Posted July 7, 2011 at 1:48 am | Permalink

    Hello guys,

    I am feeling the same way you are feeling guys. It is becoming very frustrated with SE team. This Version v4 was supposed to be robust and better than SE v3. I have not seen that yet. We have been getting errors left and right. these errors we do not create them. they are SE errors. Many of us do not want monthly release of these errors. we would like to see updates every other month. By the time we finish fixing a whole site, a new release shows with more problems. I do not understand why SE team does not pay more attention to what we are saying here. Yes support is great but why do we have to pay support for their own errors. I do not get it. SE I would like to see more plug ins from your end. Too many simple plug ins that were part of the SE v3 core. we need more plug ins from SE. Please let's fix these errors. Let's have a good working SE. Less than a week ago I got my site upgraded to v6 now a new update do I have to pay you for support to fix the errors that you guys create in your core file. If I buy something from one of these box stores, it does not work we can return it. Why do we have to open support ticket after paying for an upgrade where that upgrade is generating errors. Happy developing try to fix these bugs before new releases.

  53. Carlo
    Posted July 7, 2011 at 6:17 am | Permalink

    i am too afraid to upgrade to p3 or 4.1.6 for that matter with everything I'm reading.
    however, is it possible to install blogs 4.1.6 so that the old version is fixed, or do i have to upgrade completely first?

  54. philip
    Posted July 7, 2011 at 10:53 am | Permalink

    Blog Video Embedding Works fine on version 4.1.4 but on the version 4.1.6p3 it aint working again :/ hope you guys fix this

  55. Saad
    Posted July 7, 2011 at 12:19 pm | Permalink

    Dear Mara,

    Sorry to say but this guy from social engine team is not going to help us at all and he dont undrestand what we have wrote clearly several times we have INSTALLED EVERYTHING BUT UNABLE TO INSTALL CORE
    WE HAVE INSTALLED EVERything ALL BASIC .tar FILES BUT UnAbLe To iNstaLL Module-Core-4.1.6p3.tar

    please have a look our tickets we try to explain him several times giving him simple steps by steps to follow and see the error but he is not goning to help us at all.

    Very Very disapointed by Shaun and unable to get help at all.

    Look his answers below
    —————-
    Hello Vbiz software,

    The library-engine package and core-install packages need to be upgraded first before you will be able to upgrade the core module. If you upload these package first and upgrade them, you should then be able to upgrade the rest of the packages.

    Kindest Regards,
    Shaun
    ——————-
    Our Email:

    We installed everything from 4.1.6p3 but unable to install this core module.

    Please do following steps to see the ERROR

    Click Admin then click from Manage -> Packages & Plugins

    1. Goto Package Manager
    2. Click Add Packages
    3. Select module-core-4.1.6p3.tar file (wait till it upload and unpack successfully)
    4. You Must Click Continue
    5. you will see the error Page Not found

    We successfully uploaded all the basic tar files but module-core-4.1.6p3 we are unable to install.

  56. Halal
    Posted July 7, 2011 at 6:52 pm | Permalink

    Get the following error when updating to version 4.1.6p3

    Core (4.1.6p3) Query failed with error: Mysqli statement execute error : Can't DROP 'start'; check that column/key exists.

    Members (4.1.6p3) Query failed with error: Mysqli statement execute error : Duplicate column name 'access_token'

  57. Mara
    Posted July 7, 2011 at 10:30 pm | Permalink

    @VBIZ I have sent you an email regarding this issue.

  58. Mara
    Posted July 7, 2011 at 11:24 pm | Permalink

    @Halal If the column doesn't exist, the query was already run previously. You can comment out:

    ALTER TABLE `engine4_core_bannedips`
    DROP KEY `start` ;

    from the upgrade script for the core module. You can do the same with the error in the users module. Comment out:

    ALTER TABLE `engine4_user_facebook`
    ADD COLUMN `access_token` varchar(255) NOT NULL default '',
    ADD COLUMN `code` varchar(255) NOT NULL default '',
    ADD COLUMN `expires` bigint(20) unsigned NOT NULL default '0'

    You may also want to comment out ALTER TABLE `engine4_user_logins`
    ADD COLUMN `source` varchar(64) default NULL
    AFTER `state` ;

    but only if there are errors.

  59. Mara
    Posted July 7, 2011 at 11:27 pm | Permalink

    @Phillip Thanks for letting us know about the video embedding issue. That is a bug in TinyMCE. We will update this in a future version.

  60. Mara
    Posted July 7, 2011 at 11:44 pm | Permalink

    @Carlo You will need to upgrade the core first before upgrading the plugins.

  61. Carlo
    Posted July 8, 2011 at 7:02 am | Permalink

    @ Everone

    I understand that we would all seriously love to have a perfect release with no errors, however I think it is a bit hard for SE team to do a major check on everything before releasing. "Sometimes" errors will only surface when we are using the all the features and in other cases along side 3rd party plugs. So I think they kinda need our input. So long as they are making "every effort" to fix these errors between official releases and well before the next official release, I have no problems.

    I also don't have a problem with charging us for support, after all we are getting a pretty good deal over-all. What I might however suggest is to make the support more attractive and reasonable which in turn, getting more of us to purchase support they might find they will make more anyway.

    For example:
    monthly = $50 per month
    3 months = 40 "
    6 months = 30 "
    9 months = 20 "
    12 months = 10 "
    Just a thought, what do you guys think?
    I'd get a recurring 12 month support under these terms, would you?

    Thanks Team SE!

  62. Halal
    Posted July 8, 2011 at 11:29 am | Permalink

    @ Mara, that didn't work. So, what I did was to delete application/modules/core/settings/my-upgrade-4.1.5-4.1.6.sql and application/modules/user/settings/my-upgrade-4.1.5-4.1.6.sql. After that the upgrade will re-install the two files again. Just posted this in case anyone is facing the same problem.

  63. Nathan
    Posted July 8, 2011 at 12:16 pm | Permalink

    @Mara and Bob,

    I did as you guys suggested and it worked!
    Thank you so much for the help!

  64. Carlo
    Posted July 8, 2011 at 3:06 pm | Permalink

    When are you expecting to have a new release? say 4.1.7 or fixes to the p3?

  65. Posted July 9, 2011 at 6:30 am | Permalink

    After a lot of research I have found the way to improve the performance, those who are facing performance can look at my site http://www.jompesh.com and if you feel it faster than you then do the below modification at .htaccess file .

    <FilesMatch ".(php|html|css|js)$">
    SetOutputFilter DEFLATE
    </FilesMatch>

    To check the performance improvement you can use the below link use it before applying the aforementioned changes and after the changes :

    http://tools.pingdom.com/

    for any further information you can send me email at saydujjaman@gmail.com with the title speeding up

  66. Posted July 10, 2011 at 10:37 am | Permalink

    @Saydujjaman S that for that piece of code it speed up my performance by 3s (every little helps)

    To help with spammers what I have done besides using the builtin functionality in SE, I have complied a list from around the internet and added some lines to my ".htaccess" file and my spam when from 80 to 90 perday to about 1 every 2 to 3 days and thats great as we won't really be able to stop them all.

    If you would like a copy just email me admin@klassifriends.com and I will send it to you, all you will need to do is copy and paste the code to the bottom of your .htaccess file and save it.

  67. Carlo
    Posted July 10, 2011 at 11:57 am | Permalink

    @ Saydujjaman – Thanks for the valuable tip!

    @ SE team – do you see that code mod having any negative side effects?

  68. philip
    Posted July 11, 2011 at 2:03 pm | Permalink

    Btw The Copy and Paste on Blogs Doesn't Work Too On Version 1.4.6p3

    i hope you guys fix this too

    have a good day

  69. Mara
    Posted July 12, 2011 at 12:46 am | Permalink

    @Philip Please submit a bug report explaining this issue in detail so that our programmers can look into it. There is a bug reports form here on our contact page: http://www.socialengine.net/contact

  70. Carlo
    Posted July 12, 2011 at 6:47 am | Permalink

    @ Mara Will you be releasing SE 4.1.7 or additional fixes to in a p4 release or something within the next 10 days?

  71. Milton
    Posted July 15, 2011 at 3:58 am | Permalink

    I was trying to embed a video in blog; I paste the HTML code; it does not work. That was a breeze with SE v3. As much hype there was before the release of SE v4, it does not live up it yet. Can you guys please fix these issues? These bug users and site administrators. I do not have any customization on my site. I suggest that you guys spend a little time developing and testing the software before any release. When you guys release a version you expect us to upgrade but it comes with headache a lot of headaches. We would like a good working platform stop the monthly release. Every other month can work just fine at least we have a month headache free. Please fix that bug with the blug.

  72. Posted July 16, 2011 at 10:01 am | Permalink

    Hi, I have upgraded to SE4.1.6p3 all seems ok but for the core 4.1.6p3 and the members 4.1.6p3 it wont update.. I keep recieving the following error: Query failed with error: Mysqli statement execute error : Can't DROP 'start'; check that column/key exists and Query failed with error: Mysqli statement execute error : Duplicate column name 'access_token'

    does anyone have and ideas? my email address is ed@naturistcommunity.com

  73. Tayyab
    Posted July 18, 2011 at 9:09 am | Permalink

    Great Work of Storage Feature in New Social Engine Version, However, one idea as in future version is for limiting friendship feature, just like facebook, max friendship user can add at one time, like on facebook if you add 10-15 friends just in few minutues, they limit your account in adding more friends and total friendships can be upto 200 or 300 with some value that user cannot cross this of total friends. Its a good feature to control DB Queries.

  74. rasika
    Posted April 1, 2013 at 4:31 am | Permalink

    Hello,
    I integrate facebook api succefully. but while integrating the twitter “Failed getting token and token secret from response error” this occure. plz help me. what should i do for this
    than you

Post a Comment

Your email is kept private. Required fields are marked *

*
*

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>